> ## Documentation Index
> Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get certifications for an entity

> Get certifications for a specific entity, optionally filtered by track.




## OpenAPI

````yaml /plugins/soundcheck/openapi.yaml get /certifications
openapi: 3.0.0
info:
  title: soundcheck
  version: 0.1.0
  description: API for interacting with Soundcheck.
servers:
  - url: https://backstage.example.com/api/soundcheck
security: []
tags:
  - name: Campaigns
  - name: Certification
  - name: CheckResults
  - name: Checks
  - name: FactCollectors
  - name: Facts
  - name: Tracks
paths:
  /certifications:
    get:
      tags:
        - Certification
      summary: Get certifications for an entity
      description: |
        Get certifications for a specific entity, optionally filtered by track.
      operationId: getCertifications
      parameters:
        - name: entityRef
          in: query
          description: The entity reference to get certifications for
          required: true
          schema:
            type: string
        - name: trackId
          in: query
          description: Optional track ID to filter certifications
          required: false
          schema:
            type: string
        - name: includeFilteredChecks
          in: query
          description: Whether to include filtered/NA checks
          required: false
          schema:
            type: boolean
        - name: includeDraftTracks
          in: query
          description: Whether to include certifications for draft tracks
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CertificationsResponse'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Entity or track not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CertificationsResponse:
      type: object
      properties:
        certifications:
          type: array
          items:
            $ref: '#/components/schemas/Certification'
      required:
        - certifications
      additionalProperties: false
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
          required:
            - name
            - message
          additionalProperties: true
        request:
          type: object
          properties:
            method:
              type: string
            url:
              type: string
          required:
            - method
            - url
          additionalProperties: false
        response:
          type: object
          properties:
            statusCode:
              type: integer
          required:
            - statusCode
          additionalProperties: false
      required:
        - error
        - response
      additionalProperties: false
    Certification:
      type: object
      properties:
        entityRef:
          type: string
        track:
          type: object
          description: >
            The track this certification belongs to. Contains at minimum an id
            field; additional track fields are also present.
          properties:
            id:
              type: string
          required:
            - id
        levels:
          type: array
          items:
            $ref: '#/components/schemas/LevelResult'
        highestLevel:
          $ref: '#/components/schemas/LevelResult'
      required:
        - entityRef
        - track
        - levels
    LevelResult:
      type: object
      properties:
        ordinal:
          type: integer
        name:
          type: string
        entityRef:
          type: string
        certified:
          type: boolean
        description:
          type: string
        checks:
          type: array
          items:
            $ref: '#/components/schemas/CertificationCheckResult'
      required:
        - ordinal
        - name
        - entityRef
        - checks
    CertificationCheckResult:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        entityRef:
          type: string
        result:
          type: string
          enum:
            - PASSED
            - FAILED
            - WARNING
            - ERROR
            - NOT_REPORTED
            - NOT_APPLICABLE
            - EXEMPT
        timestamp:
          type: string
        details: {}
      required:
        - id
        - name
        - description
        - entityRef
        - result

````